# Enum Class VulkanQueryKind

java.lang.Object
java.lang.Enum<VulkanQueryKind>
com.io7m.jcoronado.api.VulkanQueryKind

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanQueryKind>`, `Constable`

public enum VulkanQueryKind extends Enum<VulkanQueryKind> implements VulkanEnumIntegerType
Specify the type of queries managed by a query pool.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_QUERY_TYPE_OCCLUSION`
  Specifies an occlusion query.
  `VK_QUERY_TYPE_PIPELINE_STATISTICS`
  Specifies a pipeline statistics query.
  `VK_QUERY_TYPE_TIMESTAMP`
  Specifies a timestamp query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanQueryKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanQueryKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_QUERY_TYPE_OCCLUSION

    public static final VulkanQueryKind VK_QUERY_TYPE_OCCLUSION
    Specifies an occlusion query.

  - ### VK_QUERY_TYPE_PIPELINE_STATISTICS

    public static final VulkanQueryKind VK_QUERY_TYPE_PIPELINE_STATISTICS
    Specifies a pipeline statistics query.

  - ### VK_QUERY_TYPE_TIMESTAMP

    public static final VulkanQueryKind VK_QUERY_TYPE_TIMESTAMP
    Specifies a timestamp query.

- ## Method Details

  - ### values

    public static VulkanQueryKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanQueryKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant